import { ExtendedStack, ExtendedStackProps } from "./extended-stack";
import { AutomationTagsProps, CostCenterTagsProps, SecurityTagsProps, StandardTagsOptions, TeamTagsProps } from "./standard-tags";
import { Construct } from "constructs";
/**
 * Properties for StandardStack.
 */
export interface StandardStackProps extends ExtendedStackProps, StandardTagsOptions {
}
/**
 * Adds support for tags and environment names.
 */
export declare class StandardStack extends ExtendedStack {
    readonly automationTags?: AutomationTagsProps;
    readonly costCenterTags?: CostCenterTagsProps;
    readonly securityTags?: SecurityTagsProps;
    readonly teamTags?: TeamTagsProps;
    readonly suppressTags?: boolean;
    constructor(scope: Construct, id: string, props: StandardStackProps);
}
